Processes - List

システムと継承を含むすべてのプロセスの一覧を取得します。

GET https://dev.azure.com/{organization}/_apis/work/processes?api-version=7.1
GET https://dev.azure.com/{organization}/_apis/work/processes?$expand={$expand}&api-version=7.1

URI パラメーター

名前 / 必須 型 説明
organization
path True

string

Azure DevOps 組織の名前。

api-version
query True

string

使用する API のバージョン。 このバージョンの API を使用するには、これを '7.1' に設定する必要があります。

$expand
query

GetProcessExpandLevel

応答

名前 型 説明
200 OK

ProcessInfo[]

成功した操作

セキュリティ

oauth2

型: oauth2
フロー: accessCode
Authorization URL (承認 URL): https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL (トークン URL): https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

スコープ

名前 説明
vso.work 作業項目、クエリ、ボード、領域とイテレーションのパス、およびその他の作業項目追跡関連のメタデータを読み取る機能を付与します。 また、クエリを実行したり、作業項目を検索したり、サービス フックを介して作業項目イベントに関する通知を受信したりすることもできます。

例

Get the list of processes

要求のサンプル

GET https://dev.azure.com/{organization}/_apis/work/processes?api-version=7.1

応答のサンプル

{
  "count": 14,
  "value": [
    {
      "typeId": "adcc42ab-9882-485e-a3ed-7678f01f66bc",
      "referenceName": null,
      "name": "Agile",
      "description": "This template is flexible and will work great for most teams using Agile planning methods, including those practicing Scrum.",
      "parentProcessTypeId": "00000000-0000-0000-0000-000000000000",
      "isEnabled": true,
      "isDefault": true,
      "customizationType": "System"
    },
    {
      "typeId": "27450541-8e31-4150-9947-dc59f998fc01",
      "referenceName": null,
      "name": "CMMI",
      "description": "This template is for more formal projects requiring a framework for process improvement and an auditable record of decisions.",
      "parentProcessTypeId": "00000000-0000-0000-0000-000000000000",
      "isEnabled": true,
      "isDefault": false,
      "customizationType": "System"
    },
    {
      "typeId": "6b724908-ef14-45cf-84f8-768b5384da45",
      "referenceName": null,
      "name": "Scrum",
      "description": "This template is for teams who follow the Scrum framework.",
      "parentProcessTypeId": "00000000-0000-0000-0000-000000000000",
      "isEnabled": true,
      "isDefault": false,
      "customizationType": "System"
    },
    {
      "typeId": "e31fd6e1-c6af-44bb-925e-dfa71f551463",
      "referenceName": null,
      "name": "CustomProcess",
      "description": "This template is flexible and will work great for most teams using Agile planning methods, including those practicing Scrum.",
      "parentProcessTypeId": "00000000-0000-0000-0000-000000000000",
      "isEnabled": true,
      "isDefault": false,
      "customizationType": "Inherited"
    }
  ]
}

定義

名前 説明
CustomizationType

この作業項目のカスタマイズの種類を示します。 システムの動作は親プロセスから継承されますが、変更されません。 継承された動作は、親プロセスから継承された変更された動作です。 カスタム動作は、現在のプロセスでユーザーによって作成される動作です。

GetProcessExpandLevel
ProcessInfo

過程。

ProjectReference

プロジェクト参照クラスを定義します。

CustomizationType

この作業項目のカスタマイズの種類を示します。 システムの動作は親プロセスから継承されますが、変更されません。 継承された動作は、親プロセスから継承された変更された動作です。 カスタム動作は、現在のプロセスでユーザーによって作成される動作です。

値 説明
system

カスタマイズの種類は、システムによって生成された workitemtype の場合は System です。

inherited

継承されたプロセスの既存の workitemtype がカスタマイズされている場合、Customization-type は継承されます。

custom

新しく作成された workitemtype がカスタマイズされている場合、Customization-type は Custom です。

GetProcessExpandLevel

値 説明
none

展開レベルなし。

projects

プロジェクトはレベルを展開します。

ProcessInfo

過程。

名前 型 説明
customizationType

CustomizationType

このプロセスのカスタマイズの種類を示します。 システム プロセスは既定のプロセスです。 継承されたプロセスは、以前はシステム プロセスであったプロセスを変更します。

description

string

プロセスの説明。

isDefault

boolean

プロセスの既定値です。

isEnabled

boolean

プロセスが有効になっていますか。

name

string

プロセスの名前。

parentProcessTypeId

string (uuid)

親プロセスの ID。

projects

ProjectReference[]

ユーザーがサブスクライブされているこのプロセスのプロジェクト。

referenceName

string

プロセスの参照名。

typeId

string (uuid)

プロセスの ID。

ProjectReference

プロジェクト参照クラスを定義します。

名前 型 説明
description

string

プロジェクトの説明

id

string (uuid)

プロジェクトの ID

name

string

プロジェクトの名前

url

string

プロジェクトの URL